.. role:: hidden
    :class: hidden-section

pytorch_quantization.nn
===================================

.. automodule:: pytorch_quantization.nn
.. currentmodule:: pytorch_quantization.nn

:hidden:`TensorQuantizer`
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: TensorQuantizer
    :members:

Quantized Modules
----------------------------------
.. currentmodule:: pytorch_quantization.nn.modules.quant_conv

_QuantConvNd
~~~~~~~~~~~~
.. autoclass:: _QuantConvNd
    :members:

.. currentmodule:: pytorch_quantization.nn

:hidden:`QuantConv1d`
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantConv1d
    :members:

:hidden:`QuantConv2d`
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantConv2d
    :members:

:hidden:`QuantConv3d`
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantConv3d
    :members:

:hidden:`QuantConvTranspose1d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantConvTranspose1d
    :members:

:hidden:`QuantConvTranspose2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


.. autoclass:: QuantConvTranspose2d
    :members:

:hidden:`QuantConvTranspose3d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantConvTranspose3d
    :members:

:hidden:`QuantLinear`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantLinear
    :members:

:hidden:`QuantMaxPool1d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantMaxPool1d
    :members:

:hidden:`QuantMaxPool2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantMaxPool2d
    :members:

:hidden:`QuantMaxPool3d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantMaxPool3d
    :members:

:hidden:`QuantAvgPool1d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantAvgPool1d
    :members:

:hidden:`QuantAvgPool2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantAvgPool2d
    :members:

:hidden:`QuantAvgPool3d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantAvgPool3d
    :members:

:hidden:`QuantAdaptiveAvgPool1d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantAdaptiveAvgPool1d
    :members:

:hidden:`QuantAdaptiveAvgPool2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantAdaptiveAvgPool2d
    :members:

:hidden:`QuantAdaptiveAvgPool3d`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantAdaptiveAvgPool3d
    :members:

:hidden:`Clip`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: Clip
    :members:

:hidden:`QuantLSTM`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantLSTM
    :members:

:hidden:`QuantLSTMCell`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantLSTMCell
    :members:
